Subject: bug#35689: Customizable char-fold

From: [email-masked]
Date: Tue, 21 May 2019 17:45:55 -0400

Juri Linkov <[email-masked]> writes:

>>>       :set (lambda (sym val)
>>>              (set-default sym val)
>>>              ;; FIXME: Maybe delay this until after-init-time,
>>>              ;; to avoid redundant calls to char-fold-make-table.
>>
>> I tried different possible values of :initialize,
>> but not custom-initialize-changed.  I'll try this now.
>
> I see no problems other than redundant calls to char-fold-make-table
> when more than one variable is customized.  char-fold.el is autoloaded
> when isearch calls char-fold-to-regexp for the first time, so I'm not
> sure how after-init-hook could help in this case.

Ah, sorry, I had somehow got it into my head that char-fold.el is
preloaded.